> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/curveusd/crvusdselfliqwithcolltransient.md).

# CrvUsdSelfLiqWithCollTransient

### Description

Liquidates a curveusd position with a given percentage of collateral

> **Notes**
>
> This action uses internal swapper with transient storage to liquidate the position

### Action ID

`0x49b9a61e`

### SDK Action

```ts
const curveUsdSelfLiquidateWithCollTransientAction = new dfs.actions.curveusd.CurveUsdSelfLiquidateWithCollTransientAction(
    controllerAddress,
    percentage,
    minCrvUsdExpected,
    to,
    exchangeOrder,
    sellAllCollateral,
    gasUsed
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param controllerAddress Address of the curveusd market controller
    /// @param percentage Fraction to liquidate; 100% = 10**18
    /// @param minCrvUsdExpected Users crvUsd collateral balance must be bigger than this
    /// @param to Where to send the leftover funds if full close
    /// @param exData exchange data for swapping (srcAmount will be amount of coll token sold)
    /// @param sellAllCollateral Since coll token amount is changeable during soft liquidation, this will replace srcAmount in exData with coll amount
    /// @param gasUsed Only used as part of a strategy, estimated gas used for this tx
    struct Params {
        address controllerAddress;
        uint256 percentage;
        uint256 minCrvUsdExpected;
        address to;
        DFSExchangeData.ExchangeData exData;
        bool sellAllCollateral;
        uint32 gasUsed;
    }
```

### Return Value

```solidity
return bytes32(debtTokenReceived);
```

### Events and Logs

```solidity
emit ActionEvent("CurveUsdSelfLiquidateWithCollTransient", logData);
logger.logActionDirectEvent("CurveUsdSelfLiquidateWithCollTransient", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/curveusd/crvusdselfliqwithcolltransient.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
